package com.javacodegeeks.testng.parameters;

import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

public class TestNgMultipleParameterExample {

	@Parameters({"category", "exampleDesc"})
	@Test
	public void t1(String category, String exampleDesc) {
		System.out.println("t1: " + category + ":" + exampleDesc);
	}
	
	@Parameters(value={"category", "exampleDesc", "moreDesc"})
	@Test
	public void t2(String category, String exampleDesc, String moreDesc) {
		System.out.println("t2: " + category + ":" + exampleDesc + ", " + moreDesc);
	}
}
