package com.javacodegeeks.testng.parameters;

import org.testng.annotations.BeforeClass;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.BeforeSuite;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

public class TestNgOverrideParamExample {
	
	@Parameters({"tag", "param"})
	@BeforeSuite
	public void beforeSuite(String tag, String p) {
		System.out.println(tag + ": beforeSuite parameter is at " + p);
	}
	
	@Parameters({"tag", "param"})
	@BeforeTest
	public void beforeTest(String tag, String p) {
		System.out.println(tag + ": beforeTest parameter is at " + p);
	}
	
	@Parameters({"tag", "param"})
	@BeforeClass
	public void beforeClass(String tag, String p) {
		System.out.println(tag + ": beforeClass parameter is at " + p);
	}

	@Parameters({"tag", "param"})
	@BeforeMethod
	public void beforeMethod(String tag, String p) {
		System.out.println(tag + ": beforeMethod parameter is at " + p);
	}
	
	@Parameters({"tag", "param"})
	@Test
	public void t(String tag, String p) {
		System.out.println(tag + ": t parameter is at " + p);
	}
}
